Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.mockito
Enum Answers

    java.lang.Object
      java.lang.Enum<Answers>
          org.mockito.Answers

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Answers>

    public enum Answers

extends java.lang.Enum<Answers>

Enumeration of pre-configured mock answers

You can use it to pass extra parameters to @Mock annotation, see more info here: `Mock`

Example:

       @Mock(answer = RETURNS_DEEP_STUBS) UserProvider userProvider;

This is not the full list of Answers available in Mockito. Some interesting answers can be found in org.mockito.stubbing.answers package.

Enum Constant Summary
`CALLS_REAL_METHODS` An answer that calls the real methods (used for partial mocks).
`RETURNS_DEEP_STUBS` An answer that returns deep stubs (not mocks).
`RETURNS_DEFAULTS` The default configured answer of every mock.
`RETURNS_MOCKS` An answer that returns mocks (not stubs).
`RETURNS_SMART_NULLS` An answer that returns smart-nulls.

Method Summary
`Answer<java.lang.Object>` | `get()`
`static Answers` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Answers[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RETURNS_DEFAULTS

    public static final Answers RETURNS_DEFAULTS

  The default configured answer of every mock.

  Please see the `Mockito.RETURNS_DEFAULTS` documentation for more details.

  See Also:
    `Mockito.RETURNS_DEFAULTS`

### RETURNS_SMART_NULLS

    public static final Answers RETURNS_SMART_NULLS

  An answer that returns smart-nulls.

  Please see the `Mockito.RETURNS_SMART_NULLS` documentation for more details.

  See Also:
    `Mockito.RETURNS_SMART_NULLS`

### RETURNS_MOCKS

    public static final Answers RETURNS_MOCKS

  An answer that returns mocks (not stubs).

  Please see the `Mockito.RETURNS_MOCKS` documentation for more details.

  See Also:
    `Mockito.RETURNS_MOCKS`

### RETURNS_DEEP_STUBS

    public static final Answers RETURNS_DEEP_STUBS

  An answer that returns deep stubs (not mocks).

  Please see the `Mockito.RETURNS_DEEP_STUBS` documentation for more details.

  See Also:
    `Mockito.RETURNS_DEEP_STUBS`

### CALLS_REAL_METHODS

    public static final Answers CALLS_REAL_METHODS

  An answer that calls the real methods (used for partial mocks).

  Please see the `Mockito.CALLS_REAL_METHODS` documentation for more details.

  See Also:
    `Mockito.CALLS_REAL_METHODS`

Method Detail

### values

    public static Answers[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Answers c : Answers.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Answers valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public Answer<java.lang.Object> get()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD